package observer_demo;

/**
 * Represents a news article to display in the news feed, with a headline and
 * URL for the full article.
 * 
 * @author Krysta Yousoufian, CSE 331
 * 
 */
public class NewsArticle {
    private String headline;
    private String url;

    /**
     * @param headline
     *            The article's headline.
     * @effects Constructs a news article with the given headline and pointing
     *          to the CSE 331 website (because this is only for our simulated
     *          news feed).
     */
    public NewsArticle(String headline) {
        this.headline = headline;
        this.url = "http://www.cs.washington.edu/331/";
    }

    /**
     * 
     * @return The article's headline.
     */
    public String getHeadline() {
        return headline;
    }

    /**
     * 
     * @return The article's URL.
     */
    public String getUrl() {
        return url;
    }
}
