package visitor_demo.book;

/**
 * Represents the text of a paragraph in a book.
 * 
 * @author Krysta Yousoufian, CSE 331
 * 
 */
public class Paragraph implements Text {
    private String text;

    /**
     * 
     * @param text
     *            The paragraphs contents.
     * @effects Constructs a new paragraph with the given text content.
     */
    public Paragraph(String text) {
        this.text = text;
    }

    /**
     * @return The paragraph's contents.
     */
    public String getText() {
        return text;
    }

    @Override
    public void accept(TextVisitor v) {
        v.visit(this);
    }
}
