package visitor_demo.printer;

import visitor_demo.book.*;

/**
 * A visitor that prints a document with pretty ASCI art formatting.
 * 
 * @author Krysta Yousoufian, CSE 331
 * 
 */
public class AsciiArtPrintVisitor extends BasicPrintVisitor {
    private StringBuilder textBuilder;

    /**
     * @effects Constructs a new visitor with no text yet.
     */
    public AsciiArtPrintVisitor() {
        textBuilder = new StringBuilder();
    }

    @Override
    protected void visitBook(Book book) {
        textBuilder.append(book.getTitle().toUpperCase() + "\n\n");
    }

    @Override
    protected void visitChapter(Chapter chapter) {
        textBuilder
                .append("-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\n\n");
        textBuilder.append(chapter.getTitle().toUpperCase() + "\n");
        for (int i = 0; i < chapter.getTitle().length(); i++)
            textBuilder.append("-");
        textBuilder.append("\n\n");
    }

    @Override
    protected void visitParagraph(Paragraph pgph) {
        textBuilder.append(pgph.getText() + "\n\n");
    }
}
