package visitor_demo.printer;

import visitor_demo.book.*;

/**
 * A visitor that prints a document in a simple, minimal format.
 * 
 * @author Krysta Yousoufian, CSE 331
 * 
 */
public class BasicPrintVisitor extends PrintVisitor {
    // Number of chapters processed so far.
    private int chaptersSeen;

    /**
     * @effects Constructs a new visitor with no text yet.
     */
    public BasicPrintVisitor() {
        chaptersSeen = 0;
    }
    
    @Override
    protected void visitBook(Book book) {
        textBuilder.append(book.getTitle());
    }

    @Override
    protected void visitChapter(Chapter chapter) {
        chaptersSeen++;
        textBuilder.append(String.format("\n\nChapter %d: %s\n", chaptersSeen,
                chapter.getTitle()));
    }

    @Override
    protected void visitParagraph(Paragraph pgph) {
        textBuilder.append("\n  " + pgph.getText());
    }
}