package visitor_demo.printer;

import visitor_demo.book.*;

/**
 * Driver class for the PrintVisitor demo. Prints the text of
 * Harry Potter and the Pragmatic Programmer.
 * 
 * @author Krysta Yousoufian, CSE 331
 *
 */
public class PrintVisitorMain {
    private static final String HP_FILENAME = "data/Harry_Potter_and_the_Pragmatic_Programmer";
    
    public static void main(String[] args) {
//        PrintVisitor visitor = new BasicPrintVisitor();
        PrintVisitor visitor = new AsciiArtPrintVisitor();
        Book harryPotter = BookBuilder.buildBook(HP_FILENAME);
        harryPotter.accept(visitor);
        System.out.println(visitor.getText());
    }
}
